[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

yum doesn't like installonly_limit=1?



I changed the "installonly_limit" to "1" from the default value "3" in
/etc/yum.conf, and yum blows up.

# yum search boinc
Loaded plugins: presto, refresh-packagekit
Options Error: Error parsing '1': out of range integer value

PackageKit gave me a better traceback:

Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2956, in __init__
    self.repos.confirm_func = self._repo_gpg_confirm
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 717, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 496,
in _getRepos
    self.conf # touch the config class first
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 723, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 276,
in _getConfig
    self._conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.6/site-packages/yum/config.py", line 827, in
readMainConfig
    yumconf.populate(startupconf._parser, 'main')
  File "/usr/lib/python2.6/site-packages/yum/config.py", line 505, in populate
    setattr(self, name, value)
  File "/usr/lib/python2.6/site-packages/yum/config.py", line 94, in __set__
    raise ValueError('Error parsing $r: $s' $ (value, str(e)))
ValueError: Error parsing '1': out of range integer value

I changed the value to 0, 2, 3 etc, all of them resulting in a working
yum environment. Is it a known issue, or worth filing a bug?
Yum version is yum-3.2.25-1.fc12.noarch

-- 
Cheers,
Rajeesh
http://rajeeshknambiar.wordpress.com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]